import {parse} from "next-useragent";
import DashboardInspectorExpertComponent from "@/components/dashboard/inspector-expert";

export default function InspectorExpert() {
    return (
        <DashboardInspectorExpertComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.inspector_expert_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_inspector_refahi"]}}
        },
    };
}
